Bug 867615 - SELinux is preventing blueman-mechanism from 'read' accesses on the directory /var/tmp.
SELinux is preventing blueman-mechanism from 'read' accesses on the directory...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:94647628e3f3ff7d8aeac374123...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 16:48 EDT by Matthew Miller
Modified: 2013-12-09 18:06 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:06:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-17 16:48 EDT, Matthew Miller
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-17 16:48 EDT, Matthew Miller
no flags Details

  None (edit)
Description Matthew Miller 2012-10-17 16:48:15 EDT
Description of problem:
Fresh install of F18 beta with default packages. Did yum groupinstall of xfce, and logged into xfce. This is one of several immediate AVCs.

Additional info:
libreport version: 2.0.16
kernel:         3.6.2-2.fc18.x86_64

description:
:Below is the report from the SELinux troubleshooter. But, why is blueman-mechanism trying to read /var/tmp in the first place?
:
:
:SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory /var/tmp.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read access on the tmp directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:tmp_t:s0
:Target Objects                /var/tmp [ dir ]
:Source                        blueman-mechani
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-13.fc18.x86_64
:Target RPM Packages           filesystem-3.1-2.fc18.x86_64
:Policy RPM                    selinux-policy-3.11.1-36.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.2-2.fc18.x86_64 #1 SMP Wed Oct
:                              17 05:56:07 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-18 01:11:44 EDT
:Last Seen                     2012-10-18 01:11:44 EDT
:Local ID                      72e1d11d-5f00-4e97-bb5e-8f42a915508d
:
:Raw Audit Messages
:type=AVC msg=audit(1350537104.262:312): avc:  denied  { read } for  pid=2098 comm="blueman-mechani" name="tmp" dev="sda3" ino=2359349 scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1350537104.262:312): arch=x86_64 syscall=open success=no exit=EACCES a0=3eaca42603 a1=0 a2=1b6 a3=238 items=0 ppid=2097 pid=2098 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)
:
:Hash: blueman-mechani,blueman_t,tmp_t,dir,read
:
:audit2allow
:
:#============= blueman_t ==============
:allow blueman_t tmp_t:dir read;
:
:audit2allow -R
:
:#============= blueman_t ==============
:allow blueman_t tmp_t:dir read;
:
Comment 1 Matthew Miller 2012-10-17 16:48:18 EDT
Created attachment 629073 [details]
File: type
Comment 2 Matthew Miller 2012-10-17 16:48:19 EDT
Created attachment 629074 [details]
File: hashmarkername
Comment 3 Matthew Miller 2012-10-17 16:50:26 EDT
Although this is an SELinux denial, before changing the policy, I wonder if someone who knows this package could verify that it really needs access to /var/tmp?
Comment 4 Ondra Pelech 2012-10-26 07:17:59 EDT
1. install blueman
2. run blueman


Package: (null)
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Andrew Manison 2012-10-28 13:22:46 EDT
Logging in to a newly installed system, with XFCE desktop. Error appears on every login.

Package: (null)
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Miroslav Grepl 2012-10-29 05:16:40 EDT
It relates with sys_nice/setsched
Comment 7 Stuart 2012-11-03 04:42:34 EDT
Fresh installation of fedora 64 as a virtualbox guest vm. Receive an SELinux warning stating SELinux is preventing /usr/bin/python2.7 from reading tmp

Package: (null)
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Juan Manuel Rodriguez 2013-12-09 18:06:29 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.